curl --request GET \
--url https://use.hoop.dev/api/datamasking-rules/{id}import requests
url = "https://use.hoop.dev/api/datamasking-rules/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/datamasking-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "mask-email",
"attributes": [
"production",
"pii"
],
"connection_ids": [
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
],
"custom_entity_types": [
{
"name": "ZIP_CODE",
"score": 0.01,
"deny_list": [
"Mr",
"Mr.",
"Mister"
],
"regex": "\\b\\d{5}(?:-\\d{4})?\\b"
}
],
"description": "Mask email addresses in the data",
"id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"managed_by": "hoop",
"score_threshold": 0.6,
"supported_entity_types": [
{
"entity_types": [
"EMAIL_ADDRESS",
"PERSON",
"PHONE_NUMBER",
"IP_ADDRESS"
],
"name": "PII"
}
],
"updated_at": "2023-08-15T14:30:45Z"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Get Data Masking Rule
Get Data Masking Rule
Path Parameters
The unique identifier of the resource
Response
OK
The unique name of the data masking rule, it's immutable after creation
"mask-email"
Attributes associated with this data masking rule
["production", "pii"]
The connections that this rule applies to
[
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
]
The custom entity types that this rule applies to
Show child attributes
Show child attributes
The description of the data masking rule
"Mask email addresses in the data"
The unique identifier of the data masking rule
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
Managed By is a read only field that indicates who manages this rule. When set (e.g. "hoop" for protection profiles), the rule cannot be modified or deleted directly.
"hoop"
The minimal detection score threshold for the entities to be masked.
0.6
The registered entity types that this rule applies to
Show child attributes
Show child attributes
The timestamp when the rule was updated
"2023-08-15T14:30:45Z"
Was this page helpful?